java.nio.channels

## Class NonWritableChannelException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - java.nio.channels.NonWritableChannelException

All Implemented Interfaces:
  Serializable

    public class NonWritableChannelException
    extends IllegalStateException

Unchecked exception thrown when an attempt is made to write to a channel that was not originally opened for writing.

Since:
  1.4
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NonWritableChannelException()` Constructs an instance of this class.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NonWritableChannelException

    public NonWritableChannelException()

Constructs an instance of this class.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.